Skip to main content
GET
/
api
/
v1
/
news
Fetch curated news
curl --request GET \
  --url 'https://api.finvera.news/news/api/v1/news?apikey='
import requests

url = "https://api.finvera.news/news/api/v1/news?apikey="

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.finvera.news/news/api/v1/news?apikey=', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": [
    {
      "associated_press_releases": [
        0,
        0
      ],
      "associated_ratings": [],
      "associated_transcripts": [],
      "catalyst": "Oncolytics Biotech shares are trading higher after the company appointed Jared Kelly as CEO and announced promising clinical data for pelareorep in cancer treatments.",
      "catalyst_created": true,
      "created_at": "2025-06-11T22:50:22.325207Z",
      "headline": "Oncolytics Biotech Stock Rises Amidst New Leadership and Promising Clinical Data",
      "id": 3908,
      "logo_exists": true,
      "logo_thumbnail_url": "https://d31b1il8wjbsxw.cloudfront.net/svg_16_9_thumbnail_v2/BBG001SDGSF3.svg",
      "news_id": "514a640a-d427-4fb2-baa4-8b947f8edf02",
      "on_all_tickers": true,
      "on_entities": true,
      "securities": [
        {
          "figi": "BBG000DVS826",
          "name": "Oncolytics Biotech, Inc. Common Shares",
          "MIC": "",
          "exchcode": "XNAS",
          "ticker": "ONCY",
          "compositefigi": "BBG000DVS826",
          "securitytype": "CS",
          "marketsector": "stocks",
          "shareclassfigi": "BBG001SDGSF3"
        },
        {
          "figi": "BBG000DVS826",
          "name": "ONCOLYTICS BIOTECH INC",
          "MIC": "",
          "exchcode": "US",
          "ticker": "ONCY",
          "compositefigi": "BBG000DVS826",
          "securitytype": "Common Stock",
          "marketsector": "Equity",
          "shareclassfigi": "BBG001SDGSF3"
        }
      ],
      "share_class_figi": "BBG001SDGSF3",
      "ticker": "ONCY",
      "type": "gainers",
      "updated_at": "2025-06-11T22:50:22.325215Z"
    }
  ],
  "message": "news fetched successfully"
}

Authorizations

apikey
string
query
required

Query Parameters

symbol
string
required
page
integer
default:1
page_size
integer
default:10
share_class_figi
string
type
enum<string>
Available options:
gainers,
losers
id
integer
securities
boolean

Response

200 - application/json

Successful response with curated news data

data
object[]
message
string